package kr.co.hanwha.hifive.admin.network.model;

import android.text.TextUtils;

public class AdminVersionCvData {
    /*
    "Unbundled"
     */
    String string_bundle;
    /*
    2
     */
    int platform_type;
    /*
      "2018-03-30 03:46:22.0"
     */
    String updated_at;
    /*
    true
     */
    boolean is_forced;
    /*
    "https://qtalk.dreamplus.center/downloads/b/quest-ios-current.plist"
     */
    String update_url;
    /*
    "2017-11-01 07:30:05.0"
     */
    String created_at;
    /*
    "새로운 업데이트 버전이 있습니다."
     */
    String update_notice;
    /*
    3
     */
    int id;
    /*
    "2017-11-01 07:30:05.0"
     */
    String released_at;
    /*
    "iPhone-dev"
     */
    String platform_type_desc;
    /*
    "0.1.0"
     */
    String version;
    /*
    null
     */
    String deleted_at;

    public String getString_bundle() {
        return TextUtils.isEmpty(string_bundle) ? "" : string_bundle;
    }

    public int getPlatform_type() {
        return platform_type;
    }

    public String getUpdated_at() {
        return TextUtils.isEmpty(updated_at) ? "" : updated_at;
    }

    public boolean isIs_forced() {
        return is_forced;
    }

    public String getUpdate_url() {
        return TextUtils.isEmpty(update_url) ? "" : update_url;
    }

    public String getCreated_at() {
        return TextUtils.isEmpty(created_at) ? "" : created_at;
    }

    public String getUpdate_notice() {
        return TextUtils.isEmpty(update_notice) ? "" : update_notice;
    }

    public int getId() {
        return id;
    }

    public String getReleased_at() {
        return TextUtils.isEmpty(released_at) ? "" : released_at;
    }

    public String getPlatform_type_desc() {
        return TextUtils.isEmpty(platform_type_desc) ? "" : platform_type_desc;
    }

    public String getVersion() {
        return TextUtils.isEmpty(version) ? "" : version;
    }

    public String getDeleted_at() {
        return TextUtils.isEmpty(deleted_at) ? "" : deleted_at;
    }
}
/*
 {
"string_bundle": "Unbundled",
"platform_type": 2,
"updated_at": "2018-03-30 03:46:22.0",
"is_forced": true,
"update_url": "https://qtalk.dreamplus.center/downloads/b/quest-ios-current.plist",
"created_at": "2017-11-01 07:30:05.0",
"update_notice": "새로운 업데이트 버전이 있습니다.",
"id": 3,
"released_at": "2017-11-01 07:30:05.0",
"platform_type_desc": "iPhone-dev",
"version": "0.1.0",
"deleted_at": null
}
 */
